Subject: Re: bug#29422: 27.0.50; Symbol enable-multibyte-characters may not be buffer-local

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Nov 2017 21:07:22 -0500

>> > Yes, but signaling "Setting constant" when we actually mean a
>> > read-only symbol is sub-optimal, IMO.
>> That's the error that we've been using for (setq
>> enable-multibyte-characters ...) since Emacs-21.

> ??? The code you changed signaled a "Symbol %s may not be
> buffer-local" error, not "Setting constant".  What am I missing?

My patch did not touch `setq`.  It just made `make-local-variable` and
`make-buffer-local-variable` signal the same error as `setq`.

> I meant for you to do that, as part of fixing this problem, but if you
> don't feel like it, we should at least change the ELisp manual, as it
> now contradicts the code.

If you mean the doc of `setq`, then I guess this discrepancy has been
with us since Emacs-21.

        Stefan